# Table of dsPIC33C SMPS Devices Identification Macros {#pral-devices-list}

## dsPIC33CK Single Core Device Family Ara

| Part-No | Available Macros |
| ------- | ---------------- |
| __dsPIC33CK32MP102__ | \__P33SMPS_CK__, \__P33SMPS_CK1__, \__P33SMPS_CK102__, \__P33SMPS_ARA__ |
| __dsPIC33CK64MP102__ | \__P33SMPS_CK__, \__P33SMPS_CK1__, \__P33SMPS_CK102__, \__P33SMPS_ARA__ |
| __dsPIC33CK32MP103__ | \__P33SMPS_CK__, \__P33SMPS_CK1__, \__P33SMPS_CK103__, \__P33SMPS_ARA__ |
| __dsPIC33CK64MP103__ | \__P33SMPS_CK__, \__P33SMPS_CK1__, \__P33SMPS_CK103__, \__P33SMPS_ARA__ |
| __dsPIC33CK32MP105__ | \__P33SMPS_CK__, \__P33SMPS_CK1__, \__P33SMPS_CK105__, \__P33SMPS_ARA__ |
| __dsPIC33CK64MP105__ | \__P33SMPS_CK__, \__P33SMPS_CK1__, \__P33SMPS_CK105__, \__P33SMPS_ARA__ |

## dsPIC33CK Single Core Device Family Sagitta (without CAN FD)

| Part-No | Available Macros |
| ------- | ---------------- |
| __dsPIC33CK32MP202__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK202__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK64MP202__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK202__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK128MP202__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK202__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK256MP202__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK202__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK32MP203__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK203__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK64MP203__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK203__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK128MP203__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK203__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK256MP203__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK203__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK32MP205__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK205__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK64MP205__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK205__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK128MP205__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK205__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK256MP205__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK205__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK32MP206__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK206__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK64MP206__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK206__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK128MP206__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK206__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK256MP206__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK206__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK64MP208__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK208__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK128MP208__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK208__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK256MP208__ | \__P33SMPS_CK__, \__P33SMPS_CK2__, \__P33SMPS_CK208__, \__P33SMPS_SAGITTA__ |

## dsPIC33CK Single Core Device Family Sagitta (with CAN FD)

| Part-No | Available Macros |
| ------- | ---------------- |
| __dsPIC33CK32MP502__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK502__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK64MP502__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK502__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK128MP502__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK502__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK256MP502__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK502__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK32MP503__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK503__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK64MP503__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK503__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK128MP503__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK503__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK256MP503__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK503__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK32MP505__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK505__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK64MP505__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK505__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK128MP505__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK505__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK256MP505__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK505__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK32MP506__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK506__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK64MP506__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK506__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK128MP506__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK506__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK256MP506__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK506__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK64MP508__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK508__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK128MP508__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK508__, \__P33SMPS_SAGITTA__ |
| __dsPIC33CK256MP508__ | \__P33SMPS_CK__, \__P33SMPS_CK5__, \__P33SMPS_CK508__, \__P33SMPS_SAGITTA__ |

## dsPIC33CK Single Core Device Family Sagitta+ (without CAN FD)

| Part-No | Available Macros |
| ------- | ---------------- |
| __dsPIC33CK256MP305__ | \__P33SMPS_CK__, \__P33SMPS_CK3__, \__P33SMPS_CK305__, \__P33SMPS_SAGITTAP__ |
| __dsPIC33CK512MP305__ | \__P33SMPS_CK__, \__P33SMPS_CK3__, \__P33SMPS_CK305__, \__P33SMPS_SAGITTAP__ |
| __dsPIC33CK256MP306__ | \__P33SMPS_CK__, \__P33SMPS_CK3__, \__P33SMPS_CK306__, \__P33SMPS_SAGITTAP__ |
| __dsPIC33CK512MP306__ | \__P33SMPS_CK__, \__P33SMPS_CK3__, \__P33SMPS_CK306__, \__P33SMPS_SAGITTAP__ |
| __dsPIC33CK256MP308__ | \__P33SMPS_CK__, \__P33SMPS_CK3__, \__P33SMPS_CK308__, \__P33SMPS_SAGITTAP__ |
| __dsPIC33CK512MP308__ | \__P33SMPS_CK__, \__P33SMPS_CK3__, \__P33SMPS_CK308__, \__P33SMPS_SAGITTAP__ |

## dsPIC33CK Single Core Device Family Sagitta+ (with CAN FD)

| Part-No | Available Macros |
| ------- | ---------------- |
| __dsPIC33CK256MP605__ | \__P33SMPS_CK__, \__P33SMPS_CK6__, \__P33SMPS_CK605__, \__P33SMPS_SAGITTAP__ |
| __dsPIC33CK512MP605__ | \__P33SMPS_CK__, \__P33SMPS_CK6__, \__P33SMPS_CK605__, \__P33SMPS_SAGITTAP__ |
| __dsPIC33CK256MP606__ | \__P33SMPS_CK__, \__P33SMPS_CK6__, \__P33SMPS_CK606__, \__P33SMPS_SAGITTAP__ |
| __dsPIC33CK512MP606__ | \__P33SMPS_CK__, \__P33SMPS_CK6__, \__P33SMPS_CK606__, \__P33SMPS_SAGITTAP__ |
| __dsPIC33CK256MP608__ | \__P33SMPS_CK__, \__P33SMPS_CK6__, \__P33SMPS_CK608__, \__P33SMPS_SAGITTAP__ |
| __dsPIC33CK512MP608__ | \__P33SMPS_CK__, \__P33SMPS_CK6__, \__P33SMPS_CK608__, \__P33SMPS_SAGITTAP__ |

## dsPIC33CK Single Core Device Family Octans+ (with Secure Element and CAN FD)

| Part-No | Available Macros |
| ------- | ---------------- |
| __dsPIC33CK256MPT608__ | \__P33SMPS_CK__, \__P33SMPS_CK6__, \__P33SMPS_CK608__, \__P33SMPS_OCTANSP__, \__P33SMPS_SAGITTAP__, \__P33SMPS_SAGITTAPS__ |
| __dsPIC33CK512MPT608__ | \__P33SMPS_CK__, \__P33SMPS_CK6__, \__P33SMPS_CK608__, \__P33SMPS_OCTANSP__, \__P33SMPS_SAGITTAP__, \__P33SMPS_SAGITTAPS__ |

## dsPIC33CK Single Core Device Family Sagitta++ (without CAN FD)

| Part-No | Available Macros |
| ------- | ---------------- |
| __dsPIC33CK256MP405__ | \__P33SMPS_CK__, \__P33SMPS_CK4__, \__P33SMPS_CK405__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK512MP405__ | \__P33SMPS_CK__, \__P33SMPS_CK4__, \__P33SMPS_CK405__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK1024MP405__ | \__P33SMPS_CK__, \__P33SMPS_CK4__, \__P33SMPS_CK405__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK256MP406__ | \__P33SMPS_CK__, \__P33SMPS_CK4__, \__P33SMPS_CK406__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK512MP406__ | \__P33SMPS_CK__, \__P33SMPS_CK4__, \__P33SMPS_CK406__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK1024MP406__ | \__P33SMPS_CK__, \__P33SMPS_CK4__, \__P33SMPS_CK405__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK256MP408__ | \__P33SMPS_CK__, \__P33SMPS_CK4__, \__P33SMPS_CK408__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK512MP408__ | \__P33SMPS_CK__, \__P33SMPS_CK4__, \__P33SMPS_CK408__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK1024MP408__ | \__P33SMPS_CK__, \__P33SMPS_CK4__, \__P33SMPS_CK408__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK256MP410__ | \__P33SMPS_CK__, \__P33SMPS_CK4__, \__P33SMPS_CK410__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK512MP410__ | \__P33SMPS_CK__, \__P33SMPS_CK4__, \__P33SMPS_CK410__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK1024MP410__ | \__P33SMPS_CK__, \__P33SMPS_CK4__, \__P33SMPS_CK410__, \__P33SMPS_SAGITTAPP__ |

## dsPIC33CK Single Core Device Family Sagitta++ (with CAN FD)

| Part-No | Available Macros |
| ------- | ---------------- |
| __dsPIC33CK256MP705__ | \__P33SMPS_CK__, \__P33SMPS_CK7__, \__P33SMPS_CK705__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK512MP705__ | \__P33SMPS_CK__, \__P33SMPS_CK7__, \__P33SMPS_CK705__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK1024MP705__ | \__P33SMPS_CK__, \__P33SMPS_CK7__, \__P33SMPS_CK705__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK256MP706__ | \__P33SMPS_CK__, \__P33SMPS_CK7__, \__P33SMPS_CK706__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK512MP706__ | \__P33SMPS_CK__, \__P33SMPS_CK7__, \__P33SMPS_CK706__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK1024MP706__ | \__P33SMPS_CK__, \__P33SMPS_CK7__, \__P33SMPS_CK705__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK256MP708__ | \__P33SMPS_CK__, \__P33SMPS_CK7__, \__P33SMPS_CK708__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK512MP708__ | \__P33SMPS_CK__, \__P33SMPS_CK7__, \__P33SMPS_CK708__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK1024MP708__ | \__P33SMPS_CK__, \__P33SMPS_CK7__, \__P33SMPS_CK708__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK256MP710__ | \__P33SMPS_CK__, \__P33SMPS_CK7__, \__P33SMPS_CK710__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK512MP710__ | \__P33SMPS_CK__, \__P33SMPS_CK7__, \__P33SMPS_CK710__, \__P33SMPS_SAGITTAPP__ |
| __dsPIC33CK1024MP710__ | \__P33SMPS_CK__, \__P33SMPS_CK7__, \__P33SMPS_CK710__, \__P33SMPS_SAGITTAPP__ |

## dsPIC33CH Dual Core Device Family Gemini - Main Core IDs

| Part-No | Available Macros |
| ------- | ---------------- |
| __dsPIC33CH64MP502__  | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CH5__, \__P33SMPS_CH502__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH128MP502__ | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CH5__, \__P33SMPS_CH502__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH64MP503__  | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CH5__, \__P33SMPS_CH503__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH128MP503__ | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CH5__, \__P33SMPS_CH503__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH64MP505__  | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CH5__, \__P33SMPS_CH505__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH128MP505__ | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CH5__, \__P33SMPS_CH505__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH64MP506__  | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CH5__, \__P33SMPS_CH506__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH128MP506__ | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CH5__, \__P33SMPS_CH506__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH64MP508__  | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CH5__, \__P33SMPS_CH508__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH128MP508__ | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CH5__, \__P33SMPS_CH508__, \__P33SMPS_GEMINI__ |

## dsPIC33CH Dual Core Device Family Gemini - Secondary Core IDs

| Part-No | Available Macros |
| ------- | ---------------- |
| __dsPIC33CH64MP502S1__  | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CH5__, \__P33SMPS_CH502__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH128MP502S1__ | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CH5__, \__P33SMPS_CH502__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH64MP503S1__  | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CH5__, \__P33SMPS_CH503__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH128MP503S1__ | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CH5__, \__P33SMPS_CH503__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH64MP505S1__  | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CH5__, \__P33SMPS_CH505__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH128MP505S1__ | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CH5__, \__P33SMPS_CH505__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH64MP506S1__  | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CH5__, \__P33SMPS_CH506__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH128MP506S1__ | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CH5__, \__P33SMPS_CH506__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH64MP508S1__  | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CH5__, \__P33SMPS_CH508__, \__P33SMPS_GEMINI__ |
| __dsPIC33CH128MP508S1__ | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CH5__, \__P33SMPS_CH508__, \__P33SMPS_GEMINI__ |

## dsPIC33CH Dual Core Device Family Sagittarius - Main Core IDs

| Part-No | Available Macros |
| ------- | ---------------- |
| __dsPIC33CH256MP502__ | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CHE__, \__P33SMPS_CHEM__, \__P33SMPS_CH5__, \__P33SMPS_CH502__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH512MP502__ | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CHE__, \__P33SMPS_CHEM__, \__P33SMPS_CH5__, \__P33SMPS_CH502__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH256MP503__ | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CHE__, \__P33SMPS_CHEM__, \__P33SMPS_CH5__, \__P33SMPS_CH503__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH512MP503__ | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CHE__, \__P33SMPS_CHEM__, \__P33SMPS_CH5__, \__P33SMPS_CH503__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH256MP505__ | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CHE__, \__P33SMPS_CHEM__, \__P33SMPS_CH5__, \__P33SMPS_CH505__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH512MP505__ | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CHE__, \__P33SMPS_CHEM__, \__P33SMPS_CH5__, \__P33SMPS_CH505__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH256MP506__ | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CHE__, \__P33SMPS_CHEM__, \__P33SMPS_CH5__, \__P33SMPS_CH506__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH512MP506__ | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CHE__, \__P33SMPS_CHEM__, \__P33SMPS_CH5__, \__P33SMPS_CH506__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH256MP508__ | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CHE__, \__P33SMPS_CHEM__, \__P33SMPS_CH5__, \__P33SMPS_CH508__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH512MP508__ | \__P33SMPS_CH__, \__P33SMPS_CHM__, \__P33SMPS_CHE__, \__P33SMPS_CHEM__, \__P33SMPS_CH5__, \__P33SMPS_CH508__, \__P33SMPS_SAGITTARIUS__ |

## dsPIC33CH Dual Core Device Family Sagittarius - Secondary Core IDs

| Part-No | Available Macros |
| ------- | ---------------- |
| __dsPIC33CH256MP502S1__ | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CHE__, \__P33SMPS_CHES__, \__P33SMPS_CH5__, \__P33SMPS_CH502__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH512MP502S1__ | \__P33SMPS_CH__, \__P33SMPS_CH5__, \__P33SMPS_CHE__, \__P33SMPS_CHES__, \__P33SMPS_CH5__, \__P33SMPS_CH502__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH256MP503S1__ | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CHE__, \__P33SMPS_CHES__, \__P33SMPS_CH5__, \__P33SMPS_CH503__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH512MP503S1__ | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CHE__, \__P33SMPS_CHES__, \__P33SMPS_CH5__, \__P33SMPS_CH503__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH256MP505S1__ | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CHE__, \__P33SMPS_CHES__, \__P33SMPS_CH5__, \__P33SMPS_CH505__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH512MP505S1__ | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CHE__, \__P33SMPS_CHES__, \__P33SMPS_CH5__, \__P33SMPS_CH505__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH256MP506S1__ | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CHE__, \__P33SMPS_CHES__, \__P33SMPS_CH5__, \__P33SMPS_CH506__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH512MP506S1__ | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CHE__, \__P33SMPS_CHES__, \__P33SMPS_CH5__, \__P33SMPS_CH506__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH256MP508S1__ | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CHE__, \__P33SMPS_CHES__, \__P33SMPS_CH5__, \__P33SMPS_CH508__, \__P33SMPS_SAGITTARIUS__ |
| __dsPIC33CH512MP508S1__ | \__P33SMPS_CH__, \__P33SMPS_CHS__, \__P33SMPS_CHE__, \__P33SMPS_CHES__, \__P33SMPS_CH5__, \__P33SMPS_CH508__, \__P33SMPS_SAGITTARIUS__ |

---
Updated 08/03/2023
